# PSF-LoginServer - master - net.psforever.actors.zone.BuildingActor
PSF - LoginServer - master - net.psforever.actors.zone.BuildingActor
Keywords: PSF LoginServer master net.psforever.actors.zone.BuildingActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package zone
  Definition Classes
    actors
- BuildingActor
- FakeNtuSource
- ZoneActor

c

net.psforever.actors.zone

# BuildingActor 

###
Companion object BuildingActor

#### class BuildingActor extends AnyRef

Source
  BuildingActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BuildingActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new BuildingActor(context: ActorContext[Command], buffer: StashBuffer[Command], zone: Zone, building: Building)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def active(galaxyService: ActorRef, interstellarCluster: ActorRef[Command]): Behavior[Command]
5.  def alignForceDomeStatus(mapUpdateOnChange: Boolean = true): Unit

   Evaluate the conditions of the building and determine if its capitol force dome state should be updated to reflect the actual conditions of the base or its surrounding bases.

   Evaluate the conditions of the building and determine if its capitol force dome state should be updated to reflect the actual conditions of the base or its surrounding bases. If this building is considered a subcapitol facility to the zone's actual capitol facility, and has the capitol force dome has a dependency upon it, pass a message onto that facility that it should check its own state alignment.

   mapUpdateOnChange

     if `true`, dispatch a `MapUpdate` message for this building

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  var galaxyService: Option[ActorRef]
12.  def generatorStateChange(generator: Generator, event: Any): Boolean
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  var hasNtuSupply: Boolean
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  var interstellarCluster: Option[ActorRef[Command]]
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def ntu(msg: Command): Behavior[Command]
22.  def postStartBehaviour(): Behavior[Command]
23.  def powerLost(): Unit

    Power has been severed.

    Power has been severed. All installed amenities are distributed a `PowerOff` message and are instructed to display their "unpowered" model. Additionally, the facility is now rendered unspawnable regardless of its player spawning amenities.

24.  def powerRestored(): Unit

    Power has been restored.

    Power has been restored. All installed amenities are distributed a `PowerOn` message and are instructed to display their "powered" model. Additionally, the facility is now rendered spawnable if its player spawning amenities are online.

25.  def setFactionTo(faction: types.PlanetSideEmpire.Value, galaxy: ActorRef): Unit
26.  def start(): Behavior[Command]
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  def updateForceDomeStatus(updatedStatus: Boolean, mapUpdateOnChange: Boolean): Unit

    Dispatch a message to update the state of the clients with the server state of the capitol force dome.

    Dispatch a message to update the state of the clients with the server state of the capitol force dome.

    updatedStatus

      the new capitol force dome status

    mapUpdateOnChange

      if `true`, dispatch a `MapUpdate` message for this building

30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped